Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.menu
Class ColorMenu

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.menu.Menu
                  com.gwtext.client.widgets.menu.ColorMenu

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

    public class ColorMenu

extends Menu

A menu containing a `ColorItem` component (which provides a basic color picker).

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.gwtext.client.widgets.menu.Menu
`config, id, jsObj`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`ColorMenu()` Create a new ColorMenu.

Method Summary
`void` | `addListener(ColorMenuListener listener)` Add a ColorPalette listener.
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject menuConfig)`
`ColorPalette` | `getColorPalette()` The ColorPalette instance for this ColorMenu.

Methods inherited from class com.gwtext.client.widgets.menu.Menu
`addElement, addElement, addItem, addListener, addSeparator, addText, create, getComponent, getElement, getElement, getItem, getItems, getOrCreateJsObj, hide, hide, insert, isVisible, remove, removeAll, setAllowOtherMenus, setDefaultAlign, setElement, setId, setMinWidth, setShadow, setShadow, setSubMenuAlign, show, showAt, showAt, showAt`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColorMenu

    public ColorMenu()

  Create a new ColorMenu.

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject menuConfig)

  Overrides:
    `create` in class `Menu`

### getColorPalette

    public ColorPalette getColorPalette()

  The ColorPalette instance for this ColorMenu.

  Returns:
    the ColorPalette instance

### addListener

    public void addListener(ColorMenuListener listener)

  Add a ColorPalette listener.

  Parameters:
    `listener` - the listener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD